CREATE TABLE cst_del_costs_daily (
    COST_ORG_ID                  NUMBER(18, 0) ,
    COST_BOOK_ID                 NUMBER(18, 0) ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    MASTER_ORGANIZATION_ID       NUMBER(18, 0) ,
    VAL_UNIT_ID                  NUMBER(18, 0) ,
    REC_TRXN_ID                  NUMBER(18, 0) ,
    TXN_SOURCE_REF_DOC_TYPE      VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER    VARCHAR2(960) ,
    EXPENSE_TRANSACTION_FLAG     VARCHAR2(4)   ,
    COST_ELEMENT_ID              NUMBER(18, 0) ,
    COST_METHOD_CODE             VARCHAR2(120) ,
    SNAPSHOT_DATE                DATE          ,
    EFF_TO_DATE                  DATE          ,
    AVERAGE_UNIT_COST            NUMBER        ,
    ACTUAL_UNIT_COST             NUMBER        ,
    CURRENCY_CODE                VARCHAR2(120)     NOT NULL,
    UOM_CODE                     VARCHAR2(120)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    COST_ORG_ID                  NUMBER(18, 0) ,
    COST_BOOK_ID                 NUMBER(18, 0) ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    MASTER_ORGANIZATION_ID       NUMBER(18, 0) ,
    VAL_UNIT_ID                  NUMBER(18, 0) ,
    REC_TRXN_ID                  NUMBER(18, 0) ,
    TXN_SOURCE_REF_DOC_TYPE      VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER    VARCHAR2(960) ,
    EXPENSE_TRANSACTION_FLAG     VARCHAR2(4)   ,
    COST_ELEMENT_ID              NUMBER(18, 0) ,
    COST_METHOD_CODE             VARCHAR2(120) ,
    SNAPSHOT_DATE                DATE          ,
    EFF_TO_DATE                  DATE          ,
    AVERAGE_UNIT_COST            NUMBER        ,
    ACTUAL_UNIT_COST             NUMBER        ,
    CURRENCY_CODE                VARCHAR2(120)     NOT NULL,
    UOM_CODE                     VARCHAR2(120)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CONSTRAINT pk_cst_del_costs_daily PRIMARY KEY (COST_ORG_ID, COST_BOOK_ID, INVENTORY_ITEM_ID, VAL_UNIT_ID, REC_TRXN_ID, COST_ELEMENT_ID, SNAPSHOT_DATE, COST_ORG_ID, COST_BOOK_ID, INVENTORY_ITEM_ID, VAL_UNIT_ID, REC_TRXN_ID, COST_ELEMENT_ID, SNAPSHOT_DATE)
);
